/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */


package sync4j.framework.core;

/**
 * Corresponds to the &lt;Data&gt; tag in the SyncML represent DTD
 *
 * @author Stefano Fornari @ Funambol
 *
 * @version $Id: Data.java,v 1.4 2006/02/07 09:56:56 luigiafassina Exp $
 */
public class Data implements java.io.Serializable {
    
    // ---------------------------------------------------------- Protected data
    protected String data;
    
    // ------------------------------------------------------------ Constructors
    /** For serialization purposes */
    protected Data() {}

    /** 
     * Creates a new Data object with the given data value
     *
     * @param data the data value
     *
     */
    public Data(final String data) {
        this.data = data;
    }
    
    /** 
     * Creates a new Data object with the given data value
     *
     * @param data the data value
     *
     */
    public Data(final long data) {
        this.data = String.valueOf(data);
    }
    
    // ---------------------------------------------------------- Public methods

    /**
     * Sets the data property
     *
     * @param data the data property
     */
    public void setData(String data) {
        this.data = data;
    }
    
    /**
     * Gets the data properties
     *
     * @return the data properties
     */
    public String getData() {
        return ((data == null) ? "" : data);
    }
}