/*
 * StopProcessingException.java
 *
 * Created on August 4, 2004, 11:31 AM
 */

package sync4j.framework.engine.pipeline;

import sync4j.framework.core.Sync4jException;

/**
 * This exception is used by message processing pipeline components to tell the
 * pipeline manager that the processing of the next components should be skipped.
 * Note that this is a suggestion for the manager, who could determine to 
 * execute anyway the components following in the pipeline. See the documentation
 * of the manager to see how the StopProcessingException is handled.
 *
 * @author  Stefano Fornari
 *
 * @version $Id: StopProcessingException.java,v 1.1 2004/08/04 17:30:19 stefano_fornari Exp $
 */
public class StopProcessingException extends Sync4jException {
    
    /** 
     * Creates a new instance of StopProcessingException 
     *
     * @param msg additional information to provide to the manager
     */
    public StopProcessingException(String msg) {
        super(msg);
    }
}
