/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.server.config;

import sync4j.framework.core.DevInf;

import sync4j.server.config.EngineConfiguration;



/**
 *
 * This class is just a container of SyncServer configuration.
 *
 * @author  Stefano Fornari @ Funambol
 */
public class ServerConfiguration {
    
    // ------------------------------------------------------------ Private data
    
    /**
     * The engine configuration object
     */
    private EngineConfiguration engineConfiguration;
    
    /**
     * The server's device info object
     */
    private DevInf serverInfo;

    // ---------------------------------------------------------- Public methods
    
    /**
     * Getter for property serverInfo.
     * @return Value of property serverInfo.
     */
    public DevInf getServerInfo() {
        return serverInfo;
    }
    
    /**
     * Setter for property serverInfo.
     * @param serverInfo New value of property serverInfo.
     */
    public void setServerInfo(DevInf serverInfo) {
        this.serverInfo = serverInfo;
    }
    
        
    /**
     * Getter for property engineConfiguration.
     * @return Value of property engineConfiguration.
     */
    public EngineConfiguration getEngineConfiguration() {
        return engineConfiguration;
    }
    
    /**
     * Setter for property engineConfiguration.
     * @param engineConfiguration New value of property engineConfiguration.
     */
    public void setEngineConfiguration(EngineConfiguration engineConfiguration) {
        this.engineConfiguration = engineConfiguration;
    }
    
}
