/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.server.pdi;

import sync4j.framework.core.Sync4jException;

/**
 * Represent an error condition dealing with Personal Data Interchange objects,
 * for instance vCard or vCalendar, such as a parsing error.
 *
 * @author  Stefano Fornari @ Funambol
 */
public class PDIException extends Sync4jException {
        
    /**
     * Constructs an instance of <code>PDIException</code> with the specified detail message.
     * @param msg the detail message.
     * @param cause the exception this exception is due to
     */
    public PDIException(final String msg, final Throwable cause) {
        super(msg, cause);
    }
    
    public PDIException(final String msg) {
        super(msg);
    }
}
